module Pacman
  # model of ghost
  class Ghost < AnimatedObject
    def initialize(x, y, direction)
      super()
      @x, @y = x, y
      @direction = direction
      @stopped = false # used for slow ghost
    end

    attr_accessor :x, :y, :direction, :stopped
  end

  # red ghost
  class BlinkyGhost < Ghost
    def initialize(x, y, direction)
      super(x, y, direction)
    end
  end

  # pink ghost
  class PinkyGhost < Ghost
    def initialize(x, y, direction)
      super(x, y, direction)
    end
  end

  # cyan ghost
  class InkyGhost < Ghost
    def initialize(x, y, direction)
      super(x, y, direction)
    end
  end

  # orange ghost
  class ClydeGhost < Ghost
    def initialize(x, y, direction)
      super(x, y, direction)
    end
  end
end
